Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element theme

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType (restriction)
           |
           +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType (extension)
                |
                +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}presentationControlType (extension)
                     |
                     +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}administeredControlType (extension)
                          |
                          +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}themeType (extension)
                               |
                               +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0} (extension)

Properties
  This component is not nillable.

Model
  `<theme
  definitionId = xs:string
  description = xs:string
  id = xs:string
  markupName = xs:string
  markupType = xs:string
  name = xs:string
  presentationClass = xs:string
  presentationId = xs:string
  presentationStyle = xs:string
  properties = xs:string
  skeletonUri = xs:string
  tagName = xs:string
  title = titleType
  usingAltSkeleton = xs:boolean
  usingAltSkin = xs:boolean>
  (book | bookContent)
  </theme>`

Nested Element Summary
`` | `book`
`` | `bookContent`

Attribute Summary
`xs:string` | `definitionId`
`xs:string` | `description`
`xs:string` | `id`
`xs:string` | `markupName`
`xs:string` | `markupType`
`xs:string` | `name`
`xs:string` | `presentationClass`
`xs:string` | `presentationId`
`xs:string` | `presentationStyle`
`xs:string` | `properties`
`xs:string` | `skeletonUri`
`xs:string` | `tagName`
`titleType` | `title`
`xs:boolean` | `usingAltSkeleton`
`xs:boolean` | `usingAltSkin`

Attribute Detail

### definitionId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### description

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### id

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### markupName

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### markupType

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### name

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationClass

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationStyle

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### properties

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### skeletonUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### tagName

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### title

Type:
  `titleType`

Use:
  `optional`

Form:
  `unqualified`

### usingAltSkeleton

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### usingAltSkin

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:element name="theme">
        <xs:complexType>
          <xs:complexContent>
            <xs:extension base="themeType">
              <xs:sequence>
                <xs:choice>
                  <xs:element ref="book"/>
                  <xs:element ref="bookContent"/>
                </xs:choice>
              </xs:sequence>
            </xs:extension>
          </xs:complexContent>
        </xs:complexType>
      </xs:element>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation